%if 0%{?fedora} >= 21
%global with_python3 1
%endif 
%global commit 98e1b802b1cf8ce7a7482343d85b9449b4f8459e
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global realname pylcdsysinfo

Name:     python-%{realname}
Version:  0
Release:  0.24.20131014git%{?dist}
Summary:  Python interface to Coldtears Electronics LCD Sys Info device

Group:    Development/Libraries
License:  GPLv3
URL:      https://github.com/dangardner/pylcdsysinfo
#Hard coded version for now so that the github magic works
Source0:  https://github.com/dangardner/pylcdsysinfo/archive/%{commit}/%{realname}-0.0.1-%{shortcommit}.tar.gz

BuildRequires: python2-devel
BuildRequires: systemd
BuildRequires: python2-setuptools

BuildArch: noarch

%global _description\
LCD Sys Info is an USB LCD gadget which display system and environmental\
information or pictures from your computer.

%description %_description

%package -n python2-%{realname}
Summary: %summary
Requires: python2-pyusb
%{?python_provide:%python_provide python2-%{realname}}

%description -n python2-%{realname} %_description

%if 0%{?with_python3} >= 1
%package -n     python3-%{realname}
Summary:        Python interface to Coldtears Electronics LCD Sys Info device
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  systemd
Requires:       python3-pyusb

%description -n python3-%{realname}
LCD Sys Info is an USB LCD gadget which display system and environmental 
information or pictures from your computer.
%endif

%prep
%setup -qn %{realname}-%{commit}
%if 0%{?with_python3} >= 1
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif
chmod -x examples/*.py

%build
%{__python2} setup.py build 
%if 0%{?with_python3} >= 1
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif

%install
install -D -p -m 644 99-lcdsysinfo.rules %{buildroot}%{_udevrulesdir}/99-lcdsysinfo.rules
%{__python2} setup.py install --prefix=%{_prefix} -O1 --skip-build --root=%{buildroot}
%if 0%{?with_python3} >= 1
pushd %{py3dir}
%{__python3} setup.py install --prefix=%{_prefix} -O1 --skip-build --root=%{buildroot}
popd
%endif

%files -n python2-%{realname}
%doc LICENSE.txt
%doc README.md
%doc examples
%{python2_sitelib}/*
%{_udevrulesdir}/99-lcdsysinfo.rules

%if 0%{?with_python3} >= 1
%files -n python3-%{realname}
%doc LICENSE.txt
%doc README.md
%doc examples
%{python3_sitelib}/*
%{_udevrulesdir}/99-lcdsysinfo.rules
%endif

%changelog
* Tue Jul 17 2018 Miro Hrončok <mhroncok@redhat.com> - 0-0.24.20131014git
- Update Python macros to new packaging standards
  (See https://fedoraproject.org/wiki/Changes/Move_usr_bin_python_into_separate_package)

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.23.20131014git
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0-0.22.20131014git
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0-0.21.20131014git
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.20.20131014git
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0-0.19.20131014git
- Python 2 binary package renamed to python2-pylcdsysinfo
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.18.20131014git
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.17.20131014git
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0-0.16.20131014git
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.15.20131014git
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.14.20131014git
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.13.20131014git
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.12.20131014git
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.11.20131014git
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 28 2014 Kalev Lember <kalevlember@gmail.com> - 0-0.10.20131014git
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Sat Dec 21 2013 Johan Swensson <kupo@kupo.se> - 0-0.9.20131014git
- Add python3 support for F21 and higher

* Wed Oct 23 2013 Johan Swensson <kupo@kupo.se> - 0-0.8.20131014git
- Renamed package to python-pylcdsysinfo to comply with guidelines

* Mon Oct 21 2013 Johan Swensson <kupo@kupo.se> - 0-0.7.20131014git
- Changed version string to comply with guidelines
- Updated changelog entires to reflect the corrected version string

* Thu Oct 17 2013 Johan Swensson <kupo@kupo.se> - 0-0.6.20131014git
- corrected build section
- added BuildRequires python-setuptools

* Wed Oct 16 2013 Johan Swensson <kupo@kupo.se> - 0-0.5.20131014git
- update package description

* Wed Oct 16 2013 Johan Swensson <kupo@kupo.se> - 0-0.4.20131014git
- added BuildRequires systemd

* Sun Sep 29 2013 Johan Swensson <kupo@kupo.se> - 0-0.3.20131014git
- fix source url

* Sun Sep 29 2013 Johan Swensson <kupo@kupo.se> - 0-0.2.20130929git
- move udev rule to udevrulesdir

* Sun Sep 29 2013 Johan Swensson <kupo@kupo.se> - 0-0.1.20130929git
- initial build

